## BraseroMediumSelection

BraseroMediumSelection

## Synopsis

                        BraseroMediumSelection;
    GtkWidget*          brasero_medium_selection_new        (void);
    BraseroMedium *     brasero_medium_selection_get_active (BraseroMediumSelection *selector);
    gboolean            brasero_medium_selection_set_active (BraseroMediumSelection *selector,
                                                             BraseroMedium *medium);
    void                brasero_medium_selection_show_media_type
                                                            (BraseroMediumSelection *selector,
                                                             BraseroMediaType type);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkComboBox
                                           +----BraseroMediumSelection

## Implemented Interfaces

BraseroMediumSelection implements AtkImplementorIface, GtkBuildable, GtkCellLayout and GtkCellEditable.

## Properties

      "media-type"               guint                 : Read / Write
      "medium"                   BraseroMedium*        : Read / Write

## Signals

      "medium-changed"                                 : Run First / No Recursion / Action

## Description

## Details

### BraseroMediumSelection

    typedef struct _BraseroMediumSelection BraseroMediumSelection;

### brasero_medium_selection_new ()

    GtkWidget*          brasero_medium_selection_new        (void);

Returns : |

### brasero_medium_selection_get_active ()

    BraseroMedium *     brasero_medium_selection_get_active (BraseroMediumSelection *selector);

Gets the active medium.

`selector` : | a BraseroMediumSelection
Returns : | a BraseroMedium or NULL. Unref when it is not needed anymore.

### brasero_medium_selection_set_active ()

    gboolean            brasero_medium_selection_set_active (BraseroMediumSelection *selector,
                                                             BraseroMedium *medium);

Sets the active medium. Emits the ::medium-changed signal.

`selector` : | a BraseroMediumSelection
`medium` : | a BraseroMedium to set as the active one in the selector
Returns : | a gboolean. TRUE if it succeeded, FALSE otherwise.

### brasero_medium_selection_show_media_type ()

    void                brasero_medium_selection_show_media_type
                                                            (BraseroMediumSelection *selector,
                                                             BraseroMediaType type);

Filters and displays media corresponding to `type`.

`selector` : | a BraseroMediumSelection
`type` : | a BraseroMediaType

## Property Details

### The `"media-type"` property

      "media-type"               guint                 : Read / Write

The type of media displayed.

Allowed values: <= 255

Default value: 0

### The `"medium"` property

      "medium"                   BraseroMedium*        : Read / Write

The currently selected medium.

## Signal Details

### The `"medium-changed"` signal

    void                user_function                      (BraseroMediumSelection *monitor,
                                                            BraseroMedium          *medium,
                                                            gpointer                user_data)      : Run First / No Recursion / Action

This signal gets emitted when the selected medium has changed.

`monitor` : | the object which received the signal
`medium` : | the new selected medium
`user_data` : | user data set when the signal handler was connected.